- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# speex_preprocess.h File Reference

Speex preprocessor. More...

`#include "speex/speex_types.h"`

## Classes
struct | SpeexPreprocessState
## Defines
#define | SPEEX_PREPROCESS_SET_DENOISE 0
#define | SPEEX_PREPROCESS_GET_DENOISE 1
#define | SPEEX_PREPROCESS_SET_AGC 2
#define | SPEEX_PREPROCESS_GET_AGC 3
#define | SPEEX_PREPROCESS_SET_VAD 4
#define | SPEEX_PREPROCESS_GET_VAD 5
#define | SPEEX_PREPROCESS_SET_AGC_LEVEL 6
#define | SPEEX_PREPROCESS_GET_AGC_LEVEL 7
#define | SPEEX_PREPROCESS_SET_DEREVERB 8
#define | SPEEX_PREPROCESS_GET_DEREVERB 9
#define | SPEEX_PREPROCESS_SET_DEREVERB_LEVEL 10
#define | SPEEX_PREPROCESS_GET_DEREVERB_LEVEL 11
#define | SPEEX_PREPROCESS_SET_DEREVERB_DECAY 12
#define | SPEEX_PREPROCESS_GET_DEREVERB_DECAY 13
## Functions
SpeexPreprocessState * | speex_preprocess_state_init (int frame_size, int sampling_rate)
void | speex_preprocess_state_destroy (SpeexPreprocessState *st)
int | speex_preprocess (SpeexPreprocessState *st, spx_int16_t *x, spx_int32_t *echo)
void | speex_preprocess_estimate_update (SpeexPreprocessState *st, spx_int16_t *x, spx_int32_t *echo)
int | speex_preprocess_ctl (SpeexPreprocessState *st, int request, void *ptr)

## Detailed Description

Speex preprocessor.

## Define Documentation

#define SPEEX_PREPROCESS_GET_AGC 3

Get preprocessor Automatic Gain Control state

#define SPEEX_PREPROCESS_GET_AGC_LEVEL 7

Get preprocessor Automatic Gain Control level

#define SPEEX_PREPROCESS_GET_DENOISE 1

Get preprocessor denoiser state

#define SPEEX_PREPROCESS_GET_DEREVERB 9

Get preprocessor dereverb state

#define SPEEX_PREPROCESS_GET_DEREVERB_DECAY 13

Get preprocessor dereverb decay

#define SPEEX_PREPROCESS_GET_DEREVERB_LEVEL 11

Get preprocessor dereverb level

#define SPEEX_PREPROCESS_GET_VAD 5

Get preprocessor Voice Activity Detection state

#define SPEEX_PREPROCESS_SET_AGC 2

Set preprocessor Automatic Gain Control state

#define SPEEX_PREPROCESS_SET_AGC_LEVEL 6

Set preprocessor Automatic Gain Control level

#define SPEEX_PREPROCESS_SET_DENOISE 0

Set preprocessor denoiser state

#define SPEEX_PREPROCESS_SET_DEREVERB 8

Set preprocessor dereverb state

#define SPEEX_PREPROCESS_SET_DEREVERB_DECAY 12

Set preprocessor dereverb decay

#define SPEEX_PREPROCESS_SET_DEREVERB_LEVEL 10

Set preprocessor dereverb level

#define SPEEX_PREPROCESS_SET_VAD 4

Set preprocessor Voice Activity Detection state

## Function Documentation

int speex_preprocess | ( | SpeexPreprocessState * | st,
|  | spx_int16_t * | x,
|  | spx_int32_t * | echo |
| ) |  |  |

Preprocess a frame

int speex_preprocess_ctl | ( | SpeexPreprocessState * | st,
|  | int | request,
|  | void * | ptr |
| ) |  |  |

Used like the ioctl function to control the preprocessor parameters

void speex_preprocess_estimate_update | ( | SpeexPreprocessState * | st,
|  | spx_int16_t * | x,
|  | spx_int32_t * | echo |
| ) |  |  |

Preprocess a frame

void speex_preprocess_state_destroy | ( | SpeexPreprocessState * | st | ) |

Destroys a denoising state

SpeexPreprocessState* speex_preprocess_state_init | ( | int | frame_size,
|  | int | sampling_rate |
| ) |  |  |

Creates a new preprocessing state